Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoSFNode Class Reference
[Field classes]

`#include <Inventor/fields/SoSFNode.h>`

Inheritance diagram for SoSFNode:

List of all members.

## Detailed Description

The SoSFNode class is a container for a single node.

This field container stores a pointer to a Coin node. It takes care of the necessary functionality for handling copy, import and export operations.

Note that the node pointer stored in a field instance of this type may be a `NULL` pointer.

See also:
  SoNode, SoMFNode

## Public Member Functions
virtual void | fixCopy (SbBool copyconnections)
virtual SbBool | referencesCopy (void) const
## Static Public Member Functions
void | initClass (void)
## Friends
class | SoMFNode

## Member Function Documentation

void SoSFNode::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoSField.

void SoSFNode::fixCopy | ( | SbBool | copyconnections | ) | `[virtual]`

| This method is internally called after SoField::copyFrom() during scene graph copies, and should do the operations necessary for fixing up the field instance after it has gotten a new value. The default method in the SoField superclass does nothing. The application programmer should normally not need to consider this method, unless he constructs a complex field type which contains new references to container instances (i.e. nodes or engines). Overriding this method is then necessary to update the reference pointers, as they could have been duplicated during the copy operation. Reimplemented from SoField.

SbBool SoSFNode::referencesCopy | ( | void |  | ) | const`[virtual]`

| Returns `TRUE` if this field has references to any containers in the scene graph which are also duplicated during the copy operation. Note that this method only is valid to call during copy operations. See also the note about the relevance of the fixCopy() method for application programmers, as it is applicable on this method aswell. Reimplemented from SoField.

The documentation for this class was generated from the following files:

- SoSFNode.h
- SoSFNode.cpp